Subject: bug#35589: Scribus and GIMP: Clipped, non-resizable windows and pixelated icons

From: Chris Marusich <[email-masked]>
Date: Mon, 06 May 2019 17:39:29 -0700

sirgazil <[email-masked]> writes:

> Hi,
>
> A few days ago I mentioned an issue with a Scribus installed on a
> foreign distribution using Guix
> (https://lists.gnu.org/archive/html/help-guix/2019-04/msg00249.html). I'm
> experiencing the same problem with Scribus and the GIMP in a GNU
> system installed in a real machine using the ISO installer
> (https://ftp.gnu.org/gnu/guix/guix-system-install-1.0.0.x86_64-linux.iso.xz).
>
> Scribus (these are from my Guix  on foreign distro experience, but the problem in the GNU system is the same):
>
>     https://multimedialib.files.wordpress.com/2019/04/scribus-154-splash-2019-04-22.png
>     https://multimedialib.files.wordpress.com/2019/04/scribus-154-dialog-2019-04-22.png
>     https://multimedialib.files.wordpress.com/2019/04/scribus-154-main-2019-04-22.png
>
> GIMP (these are taken from the GNU system):
>
>     https://multimedialib.files.wordpress.com/2019/05/gimp-21010-2019-05-05.png
>
> The windows are clipped (extend beyond the screen limits), you can't
> resize them, and the icons look like zoomed-in bitmaps. The icon
> problem is minor, but the other problems make it really hard to use
> the applications as intended.
>
> ---
> https://sirgazil.bitbucket.io/

I cannot reproduce these issues using Guix System on commit
aa7cdc57dc28673dedfc6ec210974aaa0099a419.  The gimp and scribus programs
do not appear to render icons incorrectly, their windows are resizable,
and their windows are not clipped.

Can you reproduce the issue in a VM?  You can try with the "guix system
vm" command; you might need to slightly customize your OS config file.
If you aren't sure how to do that, just let me know, and I'll try to
help.

-- 
Chris